import { TimeCutPlugin, TimeCut, TimeCutPluginOptions } from './index';
import videojs from 'video.js';
export declare class TimeCutPluginImpl implements TimeCutPlugin {
    private player;
    private plugin;
    private options;
    private enabled;
    private cut;
    private cutCache;
    private doReplay;
    private seeking;
    private time;
    private indicators;
    constructor(player: videojs.Player, plugin: videojs.Plugin, options: TimeCutPluginOptions);
    get progressControl(): videojs.Component;
    dispose(): void;
    enable(): void;
    disable(): void;
    private setCachedCut;
    setCutManaged(cut?: TimeCut): void;
    setCut(cut?: TimeCut): void;
    private enforceCut;
    private playHandle;
    private debug;
    private log;
}
